routes/web.php
<?php

use App\Http\Controllers\Admin\AgencyController;
use App\Http\Controllers\Admin\AgentController;
use App\Http\Controllers\Admin\ArticleControlle;
use App\Http\Controllers\Admin\BannerController;
use App\Http\Controllers\Admin\BookController;
use App\Http\Controllers\Admin\CatalogController;
use App\Http\Controllers\Admin\DistribusiSegera;
use App\Http\Controllers\Admin\DistributionController;
use App\Http\Controllers\Admin\LocationController;
use App\Http\Controllers\Admin\PublisherController;
use App\Http\Controllers\Admin\RabAdminController;
use App\Http\Controllers\Admin\RecapitulationController;
use App\Http\Controllers\Admin\TransactionController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\Manajemen\ManajemenController;
use App\Http\Controllers\Mitra\MitraController;
use App\Http\Controllers\Mitra\RabController;
use App\Http\Controllers\Perwakilan\PerwakilanController;
use App\Http\Controllers\Publisher\AudioBookController;
use App\Http\Controllers\Publisher\BookControllerPublisher;
use App\Http\Controllers\Publisher\EpubController;
use App\Http\Controllers\publisher\ProfileControllerPublisher;
use App\Http\Controllers\Publisher\RekapControllerPublisher;
use App\Http\Controllers\Publisher\VideoBookPublisher;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Request;
use Illuminate\Support\Facades\Route;

use function Clue\StreamFilter\fun;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', [App\Http\Controllers\HomeController::class, 'registerInstansi'])->name('register.instansi');
Route::get('/assets', [App\Http\Controllers\HomeController::class, 'assets']);
Route::post('/register/instansi', [App\Http\Controllers\HomeController::class, 'actionRegister'])->name('create.register');
Route::get('/debug-sentry', function () {
    throw new Exception('My first Sentry error!');
});
//lokasi
Route::get('provinces', [LocationController::class, 'provinces'])->name('provinces');
Route::get('cities', [LocationController::class, 'cities'])->name('cities');
Route::get('districts', [LocationController::class, 'districts'])->name('districts');
Route::get('villages', [LocationController::class, 'villages'])->name('villages');

Auth::routes();

Route::group(['middleware' => ['IsSuperAdmin','auth'] ], function()
{
    Route::get('/home/admin', [App\Http\Controllers\HomeController::class, 'index'])->name('home.admin');
    Route::get('/user', [App\Http\Controllers\Admin\UserController::class, 'index'])->name('user');
    Route::get('/user-edit', [App\Http\Controllers\Admin\UserController::class, 'edit'])->name('user-edit');
    Route::get('/user-create', [App\Http\Controllers\Admin\UserController::class, 'create'])->name('user-create');
    Route::post('/user-insert', [App\Http\Controllers\Admin\UserController::class, 'store'])->name('user-store');
    Route::get('/user-detail', [App\Http\Controllers\Admin\UserController::class, 'show'])->name('user-detail');
    Route::get('/setting', [App\Http\Controllers\Admin\SettingController::class, 'index'])->name('setting');
    Route::get('/profile', [App\Http\Controllers\Admin\ProfileController::class, 'index'])->name('profile');
    Route::get('/profile-edit', [App\Http\Controllers\Admin\ProfileController::class, 'edit'])->name('profile-edit');

    // publisher
    Route::get('/publisher', [App\Http\Controllers\Admin\PublisherController::class, 'index'])->name('publisher');
    Route::get('/detail-publisher/{id}', [App\Http\Controllers\Admin\PublisherController::class, 'show'])->name('publisher.detail');
    Route::get('/create-publisher', [App\Http\Controllers\Admin\PublisherController::class, 'create'])->name('publisher-create');
    Route::post('/create-publisher/insert', [App\Http\Controllers\Admin\PublisherController::class, 'store'])->name('publisher.store');
    Route::get('/publisher/register-user', [PublisherController::class,'registerUser'])->name('publisher.user');
    Route::post('/publisher/register-user/insert', [PublisherController::class,'actionRegisterUser'])->name('publisher.user.store');
    Route::get('/publisher/rekapilutasi/{id}', [App\Http\Controllers\Admin\PublisherController::class, 'rekapitulasi'])->name('publisher.rekapitulasi');

    // Book
    Route::resource('book', BookController::class);
    Route::get('/distribusi', [BookController::class, 'distribution'])->name('book.distribution');
    Route::post('distribusi/insert', [BookController::class, 'insertDistribution'])->name('book.distribution.store');
    Route::get('/book/download', [BookController::class, 'getDownloadImageBook'])->name('book.download');
    Route::get('/book/export/publisher/{id}', [BookController::class, 'exportBookPublisher'])->name('book.exportdownload');
    Route::get('book/read/{id}', [BookController::class, 'readBook'])->name('baca-buku');

    //Mitra dan Perwakilan
    Route::resource('agent', AgentController::class);
    Route::get('agent/create-user/{id}', [AgentController::class, 'createUserAgent'])->name('agent.create-user');
    Route::post('agent/create-user/', [AgentController::class, 'insertUserAgent'])->name('agent.insert-user');
    Route::get('agent/mitra/create/{id}', [AgentController::class, 'mitra'])->name('agent.mitra');
    Route::post('agent/mitra/insert', [AgentController::class, 'insertmitra'])->name('agent.insert.mitra');
    Route::get('agent/mitra/edit/{id}', [AgentController::class, 'editMitra'])->name('agent.edit.mitra');
    Route::put('agent/mitra/update/{id}', [AgentController::class, 'updatemitra'])->name('agent.update.mitra');

    //Rekapitulasi
    Route::get('/recapitulation/agent', [RecapitulationController::class, 'rekapAgen'])->name('rekap.agent');
    Route::get('/detail-agency/{id}', [RecapitulationController::class, 'detail'])->name('rekap.detail');
    Route::get('/edit-agency/{id}', [RecapitulationController::class, 'agencyEdit'])
     ->name('rekap.agency.edit')
     ->missing(function (Request $request) {
         return Redirect::route('rekap.agent');
     });
    Route::put('/edit-agency/{id}', [RecapitulationController::class, 'agencyUpdate'])
     ->name('rekap.agency.update')
     ->missing(function (Request $request) {
         return Redirect::route('rekap.agent');
     });
     Route::get('/member/agen', [RecapitulationController::class,'getAgenMember'])->name('agent.member');
     Route::get('/recapitulation/mostread', [RecapitulationController::class, 'mostRead'])->name('rekap.seringdibaca');
     Route::get('/recapitulation/mostdemand', [RecapitulationController::class, 'mostDemand'])->name('rekap.bukulaku');
     Route::get('/recapitulation/mostdemand/detail/{id}', [RecapitulationController::class, 'detailBookmostDemand'])->name('rekap.bukulaku.detail');
     Route::get('/recapitulation/userinstansi', [RecapitulationController::class, 'userInstansi'])->name('rekap.userinstansi');
     Route::get('/recapitulation/userinstansi/{id}', [RecapitulationController::class, 'userInstansiDetail'])->name('rekap.userinstansi.detail');
     Route::get('/recapitulation/bookdistribution', [RecapitulationController::class, 'bookDistribute'])->name('rekap.bookdistribution');
    
    //transaksi
    Route::resource('transaction', TransactionController::class);
    
    // Master RAB
    Route::resource('master-rab', RabAdminController::class);
    Route::post('/master-rab/insert/rab',[RabAdminController::class, 'insertbudgetplan'])->name('master-rab.insert');
    Route::get('/master-rab/insert/add-item/{id}',[RabAdminController::class, 'additem'])->name('master-rab.additem');
    Route::post('/master-rab/insert/list-item',[RabAdminController::class, 'additem'])->name('master-rab.list.item');
    Route::post('/master-rab/move/temp-distribute',[RabAdminController::class, 'addToTempDistribute'])->name('master-rab.move.detail');

    //Distribusi Buku
    Route::resource('distribution', DistributionController::class);
    Route::get('/distribution/banned/{id}', [DistributionController::class, 'banned'])->name('distribution.banned');
    // publish
    Route::get('/distribution/publish/{id}', [DistributionController::class, 'publish'])->name('distribution.publish');
    
    Route::get('/distribution/book/publisher', [DistributionController::class, 'createajax'])->name('distribution-book');
    Route::post('/distribution/book/publisher', [DistributionController::class, 'createajaxPost'])->name('distribution-book.post');
    Route::post('/distribution/list-distribute', [DistributionController::class, 'listDistribute'])->name('list-destribute');
    Route::post('/distribution/post-distribute', [DistributionController::class, 'postDistribute'])->name('post-destribute');
    
    //segera tanpa endpoint
    Route::get('/distribusi/segera', [DistribusiSegera::class, 'create'])->name('sebar-buku');
    Route::post('/distribusi/segera/post', [DistribusiSegera::class, 'postDistribute'])->name('sebar-buku.post');
    Route::post('/distribusi/instansi/get', [DistribusiSegera::class, 'getAgency'])->name('sebar-buku.instansi.get');
    // Route::get('/distribution/filter/publisher/{filter_publisher}', [DistributionController::class, 'json'])->name('distribution.filter');

    // Route::get('/create-book', [App\Http\Controllers\Admin\BookController::class, 'create'])->name('book-create');
    Route::get('/detail-book', [App\Http\Controllers\Admin\BookController::class, 'show'])->name('book-detail');
    Route::get('/inventory-book', [App\Http\Controllers\Admin\BookController::class, 'inventory'])->name('book-inventory');

app/Http/Controllers/Admin/TransactionController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Agencies;
use App\Models\Transaction;
use Illuminate\Http\Request;

class TransactionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('pages.transaction.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $data = $request->all();
        Transaction::create($data);
        return redirect()->route('rekap.agent');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $agency = Agencies::with(['agentmember','agentmember.agent'])->findOrFail($id);
        return view('pages.transaction.create',compact('agency'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        // $agency = Agencies::with(['transaction','agentmember','agentmember.agent'])->findOrFail($id);
        $edit_trx = Transaction::with('agency')->findOrFail($id);
        // dd($edit_trx);
        return view('pages.transaction.edit',compact('edit_trx'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        // dd($request->all());
        $transaction = Transaction::find($id);
        $transaction->preorder = $request->preorder;
        $transaction->agency_id = $request->agency_id;
        $transaction->spk_date = $request->spk_date;
        $transaction->rab_date = $request->rab_date;
        $transaction->status = $request->status;
        $transaction->delivery_packet_date = $request->delivery_packet_date;
        $transaction->save();

        return redirect()->route('rekap.agent');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/pages/transaction/create.blade.php
@extends('layouts.super-admin')
@section('content')
    <div id="page-content-wrapper">
        <!--Content Dashboard-->

        <div class="section-content aos-init" data-aos="fade-up" data-aos-delay="500">
            <div class="container-fluid">
                <!-- Breandcrumb -->
                <section class="store-breadcrumbs">
                    <div class="row">
                        <div class="col-lg-12">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="/dashboard.html">Rekapitulasi</a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">Tambah Transaksi</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </section>
                <!-- Judul -->
                <div class="row justify-content-between">
                    <div class="col-lg-6">
                        <div class="dashboard-heading">
                            <h5 class="dashboard-title">
                                Tambah Transaksi
                            </h5>
                            <p class="dashboard-subtitle">
                                Lakukan pengisian data dengan teliti
                            </p>
                        </div>
                    </div>
                </div>
                <!--Aksi Tambah Pengguna-->
                <br>

                <div class="container-fluid " style="background-color: white; padding-top: 10px;">
                    <h5 class=" dashboard-title " style="color: #23120B; font-weight: 500; font-size: 20px; ">
                        Data Instansi
                    </h5>
                    <hr>
                    <table class="table table-striped">
                        <tbody>
                            <tr class="d-flex">
                                <th class="col-3">Nama Instansi</th>
                                <td class="col-5">
                                    <input type="text" id="name" name="name"
                                        class="form-control @error('name') is invalid @enderror"
                                        value="{{ old('name') ? old('name') : $agency->name }}"
                                        placeholder="Masukan Nama Instansi" readonly>
                                </td>
                                <td class="col-4"> </td>
                            </tr>
                            <tr class="d-flex">
                                <th class="col-3">Alamat</th>
                                <td class="col-5">
                                    <input type="text" id="address" name="address"
                                        class="form-control @error('address') is invalid @enderror" aria-describedby="nama"
                                        value="{{ old('address') ? old('address') : $agency->address }}"
                                        placeholder="Masukan Alamat" readonly>
                                </td>
                                <td> </td>
                            </tr>
                            
                            
                        </tbody>
                    </table>
                    <br>
                </div>
                <br>
                <form action="{{ route('transaction.store') }}" method="POST">
                    @csrf
                    <div class="container-fluid " style="background-color: white; padding-top: 10px;">
                        <h5 class=" dashboard-title " style="color: #23120B; font-weight: 500; font-size: 20px; ">
                            Informasi Transaksi
                        </h5>
                        <hr>
                        <table class="table table-striped">
                            <input type="hidden" name="agency_id" id="agency_id" value="{{ $agency->id }}">
                            <tbody>
                                <tr class="d-flex">
                                    <th class="col-3">Nilai PO</th>
                                    <td class="col-5">
                                        <input type="numeric" class="form-control" id="preorder" name="preorder"
                                            placeholder="Masukkan Nilai PO">
                                    </td>
                                    <td> </td>
                                </tr>
                                <tr class="d-flex">
                                    <th class="col-3">Tanggal Masuk SPK</th>
                                    <td class="col-5">
                                        <input type="date" class="form-control" id="spk_date" name="spk_date"
                                            aria-describedby="">
                                    </td>
                                    <td> </td>
                                </tr>
                                <tr class="d-flex">
                                    <th class="col-3">Tanggal Masuk RAB</th>
                                    <td class="col-5">
                                        <input type="date" class="form-control" id="rab_date" name="rab_date"
                                            aria-describedby="">
                                    </td>
                                    <td> </td>
                                </tr>
                                <tr class="d-flex">
                                    <th class="col-3">Status Pembayaran</th>
                                    <td class="col-5">
                                        <select name="status" id="status" class="form-control">
                                            <option value="0">-- Pilih Status --</option>
                                            <option value="Progress">Progress</option>
                                            <option value="Terkirim">Terkirim</option>
                                            <option value="Terbayar">Terbayar</option>

                                        </select>
                                    </td>
                                </tr>
                                <tr class="d-flex">
                                    <th class="col-3">Tanggal Pengiriman Paket Transaksi</th>
                                    <td class="col-5">
                                        <input type="date" class="form-control" id="delivery_packet_date"
                                            name="delivery_packet_date" aria-describedby="">
                                    </td>
                                    <td> </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <hr>
                    <div class="container-fluid justify-content-end"
                        style="background-color: white; padding-top: 10px; text-align: right; margin-bottom: 30px;">
                        <a type="button" href="{{ route('rekap.agent') }}" class="btn"
                            style="margin-top: 5px; color: #3685C8; "><img
                                src="{{ asset('super-admin/images/icon/stop_blue.svg') }}" aria-hidden="true">
                            Batal</a>
                        <button class="btn" type="submit"
                            style="margin-top: 5px; background-color: #3685C8; color: white;"><img
                                src="{{ asset('super-admin/images/icon/plus_white.svg') }} " aria-hidden="true"> Tambah
                            Transaksi</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
{{-- @push('after-script')
    <script>
        var rupiah = document.getElementById('preorder');
		rupiah.addEventListener('keyup', function(e){
			// tambahkan 'Rp.' pada saat form di ketik
			// gunakan fungsi formatRupiah() untuk mengubah angka yang di ketik menjadi format angka
			rupiah.value = formatRupiah(this.value, 'Rp ');
		});
 
		/* Fungsi formatRupiah */
		function formatRupiah(angka, prefix){
			var number_string = angka.replace(/[^,\d]/g, '').toString(),
			split   		= number_string.split(','),
			sisa     		= split[0].length % 3,
			rupiah     		= split[0].substr(0, sisa),
			ribuan     		= split[0].substr(sisa).match(/\d{3}/gi);
 
			// tambahkan titik jika yang di input sudah menjadi angka ribuan
			if(ribuan){
				separator = sisa ? '.' : '';
				rupiah += separator + ribuan.join('.');
			}
 
			rupiah = split[1] != undefined ? rupiah + ',' + split[1] : rupiah;
			return prefix == undefined ? rupiah : (rupiah ?  rupiah : '');
		}
    </script>
@endpush --}}